diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/test/packet-socket-apps-test-suite.cc ns-3.42/src/network/test/packet-socket-apps-test-suite.cc
--- ns-3.41/src/network/test/packet-socket-apps-test-suite.cc	2024-02-09 14:44:08.421793700 -0800
+++ ns-3.42/src/network/test/packet-socket-apps-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
@@ -130,9 +130,9 @@
 {
   public:
     PacketSocketAppsTestSuite()
-        : TestSuite("packet-socket-apps", UNIT)
+        : TestSuite("packet-socket-apps", Type::UNIT)
     {
-        AddTestCase(new PacketSocketAppsTest, TestCase::QUICK);
+        AddTestCase(new PacketSocketAppsTest, TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/test/packet-test-suite.cc ns-3.42/src/network/test/packet-test-suite.cc
--- ns-3.41/src/network/test/packet-test-suite.cc	2024-02-09 14:44:08.421793700 -0800
+++ ns-3.42/src/network/test/packet-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
@@ -1281,10 +1281,10 @@
 };
 
 PacketTestSuite::PacketTestSuite()
-    : TestSuite("packet", UNIT)
+    : TestSuite("packet", Type::UNIT)
 {
-    AddTestCase(new PacketTest, TestCase::QUICK);
-    AddTestCase(new PacketTagListTest, TestCase::QUICK);
+    AddTestCase(new PacketTest, TestCase::Duration::QUICK);
+    AddTestCase(new PacketTagListTest, TestCase::Duration::QUICK);
 }
 
 static PacketTestSuite g_packetTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/test/pcap-file-test-suite.cc ns-3.42/src/network/test/pcap-file-test-suite.cc
--- ns-3.41/src/network/test/pcap-file-test-suite.cc	2024-02-09 14:44:08.421793700 -0800
+++ ns-3.42/src/network/test/pcap-file-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
@@ -1388,16 +1388,16 @@
 };
 
 PcapFileTestSuite::PcapFileTestSuite()
-    : TestSuite("pcap-file", UNIT)
+    : TestSuite("pcap-file", Type::UNIT)
 {
     SetDataDir(NS_TEST_SOURCEDIR);
-    AddTestCase(new WriteModeCreateTestCase, TestCase::QUICK);
-    AddTestCase(new ReadModeCreateTestCase, TestCase::QUICK);
-    // AddTestCase (new AppendModeCreateTestCase, TestCase::QUICK);
-    AddTestCase(new FileHeaderTestCase, TestCase::QUICK);
-    AddTestCase(new RecordHeaderTestCase, TestCase::QUICK);
-    AddTestCase(new ReadFileTestCase, TestCase::QUICK);
-    AddTestCase(new DiffTestCase, TestCase::QUICK);
+    AddTestCase(new WriteModeCreateTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new ReadModeCreateTestCase, TestCase::Duration::QUICK);
+    // AddTestCase (new AppendModeCreateTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new FileHeaderTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new RecordHeaderTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new ReadFileTestCase, TestCase::Duration::QUICK);
+    AddTestCase(new DiffTestCase, TestCase::Duration::QUICK);
 }
 
 static PcapFileTestSuite pcapFileTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/test/sequence-number-test-suite.cc ns-3.42/src/network/test/sequence-number-test-suite.cc
--- ns-3.41/src/network/test/sequence-number-test-suite.cc	2024-02-09 14:44:08.421793700 -0800
+++ ns-3.42/src/network/test/sequence-number-test-suite.cc	2024-05-29 15:29:47.148073700 -0700
@@ -226,9 +226,9 @@
 {
   public:
     SequenceNumberTestSuite()
-        : TestSuite("sequence-number", UNIT)
+        : TestSuite("sequence-number", Type::UNIT)
     {
-        AddTestCase(new SequenceNumberTestCase(), TestCase::QUICK);
+        AddTestCase(new SequenceNumberTestCase(), TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/test/test-data-rate.cc ns-3.42/src/network/test/test-data-rate.cc
--- ns-3.41/src/network/test/test-data-rate.cc	2024-02-09 14:44:08.421793700 -0800
+++ ns-3.42/src/network/test/test-data-rate.cc	2024-05-29 15:29:47.152073600 -0700
@@ -282,10 +282,10 @@
 };
 
 DataRateTestSuite::DataRateTestSuite()
-    : TestSuite("data-rate", UNIT)
+    : TestSuite("data-rate", Type::UNIT)
 {
-    AddTestCase(new DataRateTestCase1(), TestCase::QUICK);
-    AddTestCase(new DataRateTestCase2(), TestCase::QUICK);
+    AddTestCase(new DataRateTestCase1(), TestCase::Duration::QUICK);
+    AddTestCase(new DataRateTestCase2(), TestCase::Duration::QUICK);
 }
 
 static DataRateTestSuite sDataRateTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/utils/address-utils.cc ns-3.42/src/network/utils/address-utils.cc
--- ns-3.41/src/network/utils/address-utils.cc	2024-02-09 14:44:08.421793700 -0800
+++ ns-3.42/src/network/utils/address-utils.cc	2024-05-29 15:29:47.152073600 -0700
@@ -19,6 +19,7 @@
 #include "address-utils.h"
 
 #include "inet-socket-address.h"
+#include "inet6-socket-address.h"
 
 #include "ns3/log.h"
 
@@ -146,7 +147,23 @@
         Ipv4Address ipv4 = inetAddr.GetIpv4();
         return ipv4.IsMulticast();
     }
-    // IPv6 case can go here, in future
+    else if (Ipv4Address::IsMatchingType(ad))
+    {
+        Ipv4Address ipv4 = Ipv4Address::ConvertFrom(ad);
+        return ipv4.IsMulticast();
+    }
+    else if (Inet6SocketAddress::IsMatchingType(ad))
+    {
+        Inet6SocketAddress inetAddr = Inet6SocketAddress::ConvertFrom(ad);
+        Ipv6Address ipv6 = inetAddr.GetIpv6();
+        return ipv6.IsMulticast();
+    }
+    else if (Ipv6Address::IsMatchingType(ad))
+    {
+        Ipv6Address ipv6 = Ipv6Address::ConvertFrom(ad);
+        return ipv6.IsMulticast();
+    }
+
     return false;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/utils/data-rate.cc ns-3.42/src/network/utils/data-rate.cc
--- ns-3.41/src/network/utils/data-rate.cc	2024-02-09 14:44:08.425794000 -0800
+++ ns-3.42/src/network/utils/data-rate.cc	2024-05-29 15:29:47.152073600 -0700
@@ -43,62 +43,22 @@
         double r;
         iss >> r;
         std::string trailer = s.substr(n, std::string::npos);
-        if (trailer == "bps")
+        if (trailer == "bps" || trailer == "b/s")
         {
             // bit/s
             *v = (uint64_t)r;
         }
-        else if (trailer == "b/s")
-        {
-            // bit/s
-            *v = (uint64_t)r;
-        }
-        else if (trailer == "Bps")
-        {
-            // byte/s
-            *v = (uint64_t)(r * 8);
-        }
-        else if (trailer == "B/s")
+        else if (trailer == "Bps" || trailer == "B/s")
         {
             // byte/s
             *v = (uint64_t)(r * 8);
         }
-        else if (trailer == "kbps")
-        {
-            // kilobits/s
-            *v = (uint64_t)(r * 1000);
-        }
-        else if (trailer == "kb/s")
+        else if (trailer == "kbps" || trailer == "kb/s" || trailer == "Kbps" || trailer == "Kb/s")
         {
             // kilobits/s
             *v = (uint64_t)(r * 1000);
         }
-        else if (trailer == "Kbps")
-        {
-            // kilobits/s
-            *v = (uint64_t)(r * 1000);
-        }
-        else if (trailer == "Kb/s")
-        {
-            // kilobits/s
-            *v = (uint64_t)(r * 1000);
-        }
-        else if (trailer == "kBps")
-        {
-            // kiloByte/s
-            *v = (uint64_t)(r * 8000);
-        }
-        else if (trailer == "kB/s")
-        {
-            // KiloByte/s
-            *v = (uint64_t)(r * 8000);
-        }
-        else if (trailer == "KBps")
-        {
-            // kiloByte/s
-            *v = (uint64_t)(r * 8000);
-        }
-        else if (trailer == "KB/s")
+        else if (trailer == "kBps" || trailer == "kB/s" || trailer == "KBps" || trailer == "KB/s")
         {
             // KiloByte/s
             *v = (uint64_t)(r * 8000);
@@ -113,22 +73,12 @@
             // kibibyte/s
             *v = (uint64_t)(r * 8192);
         }
-        else if (trailer == "Mbps")
-        {
-            // MegaBits/s
-            *v = (uint64_t)(r * 1000000);
-        }
-        else if (trailer == "Mb/s")
+        else if (trailer == "Mbps" || trailer == "Mb/s")
         {
             // MegaBits/s
             *v = (uint64_t)(r * 1000000);
         }
-        else if (trailer == "MBps")
-        {
-            // MegaBytes/s
-            *v = (uint64_t)(r * 8000000);
-        }
-        else if (trailer == "MB/s")
+        else if (trailer == "MBps" || trailer == "MB/s")
         {
             // MegaBytes/s
             *v = (uint64_t)(r * 8000000);
@@ -143,22 +93,12 @@
             // MebiByte/s
             *v = (uint64_t)(r * 1048576 * 8);
         }
-        else if (trailer == "Gbps")
+        else if (trailer == "Gbps" || trailer == "Gb/s")
         {
             // GigaBit/s
             *v = (uint64_t)(r * 1000000000);
         }
-        else if (trailer == "Gb/s")
-        {
-            // GigaBit/s
-            *v = (uint64_t)(r * 1000000000);
-        }
-        else if (trailer == "GBps")
-        {
-            // GigaByte/s
-            *v = (uint64_t)(r * 8 * 1000000000);
-        }
-        else if (trailer == "GB/s")
+        else if (trailer == "GBps" || trailer == "GB/s")
         {
             // GigaByte/s
             *v = (uint64_t)(r * 8 * 1000000000);
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/utils/inet-socket-address.cc ns-3.42/src/network/utils/inet-socket-address.cc
--- ns-3.41/src/network/utils/inet-socket-address.cc	2024-02-09 14:44:08.425794000 -0800
+++ ns-3.42/src/network/utils/inet-socket-address.cc	2024-05-29 15:29:47.152073600 -0700
@@ -29,40 +29,35 @@
 
 InetSocketAddress::InetSocketAddress(Ipv4Address ipv4, uint16_t port)
     : m_ipv4(ipv4),
-      m_port(port),
-      m_tos(0)
+      m_port(port)
 {
     NS_LOG_FUNCTION(this << ipv4 << port);
 }
 
 InetSocketAddress::InetSocketAddress(Ipv4Address ipv4)
     : m_ipv4(ipv4),
-      m_port(0),
-      m_tos(0)
+      m_port(0)
 {
     NS_LOG_FUNCTION(this << ipv4);
 }
 
 InetSocketAddress::InetSocketAddress(const char* ipv4, uint16_t port)
     : m_ipv4(Ipv4Address(ipv4)),
-      m_port(port),
-      m_tos(0)
+      m_port(port)
 {
     NS_LOG_FUNCTION(this << ipv4 << port);
 }
 
 InetSocketAddress::InetSocketAddress(const char* ipv4)
     : m_ipv4(Ipv4Address(ipv4)),
-      m_port(0),
-      m_tos(0)
+      m_port(0)
 {
     NS_LOG_FUNCTION(this << ipv4);
 }
 
 InetSocketAddress::InetSocketAddress(uint16_t port)
     : m_ipv4(Ipv4Address::GetAny()),
-      m_port(port),
-      m_tos(0)
+      m_port(port)
 {
     NS_LOG_FUNCTION(this << port);
 }
@@ -81,13 +76,6 @@
     return m_ipv4;
 }
 
-uint8_t
-InetSocketAddress::GetTos() const
-{
-    NS_LOG_FUNCTION(this);
-    return m_tos;
-}
-
 void
 InetSocketAddress::SetPort(uint16_t port)
 {
@@ -102,18 +90,11 @@
     m_ipv4 = address;
 }
 
-void
-InetSocketAddress::SetTos(uint8_t tos)
-{
-    NS_LOG_FUNCTION(this << tos);
-    m_tos = tos;
-}
-
 bool
 InetSocketAddress::IsMatchingType(const Address& address)
 {
     NS_LOG_FUNCTION(&address);
-    return address.CheckCompatible(GetType(), 7);
+    return address.CheckCompatible(GetType(), 6);
 }
 
 InetSocketAddress::operator Address() const
@@ -125,26 +106,23 @@
 InetSocketAddress::ConvertTo() const
 {
     NS_LOG_FUNCTION(this);
-    uint8_t buf[7];
+    uint8_t buf[6];
     m_ipv4.Serialize(buf);
     buf[4] = m_port & 0xff;
     buf[5] = (m_port >> 8) & 0xff;
-    buf[6] = m_tos;
-    return Address(GetType(), buf, 7);
+    return Address(GetType(), buf, 6);
 }
 
 InetSocketAddress
 InetSocketAddress::ConvertFrom(const Address& address)
 {
     NS_LOG_FUNCTION(&address);
-    NS_ASSERT(address.CheckCompatible(GetType(), 7));
-    uint8_t buf[7];
+    NS_ASSERT(address.CheckCompatible(GetType(), 6)); /* 4 (address) + 2  (port) */
+    uint8_t buf[6];
     address.CopyTo(buf);
     Ipv4Address ipv4 = Ipv4Address::Deserialize(buf);
     uint16_t port = buf[4] | (buf[5] << 8);
-    uint8_t tos = buf[6];
     InetSocketAddress inet(ipv4, port);
-    inet.SetTos(tos);
     return inet;
 }
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/utils/inet-socket-address.h ns-3.42/src/network/utils/inet-socket-address.h
--- ns-3.41/src/network/utils/inet-socket-address.h	2024-02-09 14:44:08.425794000 -0800
+++ ns-3.42/src/network/utils/inet-socket-address.h	2024-05-29 15:29:47.152073600 -0700
@@ -77,10 +77,6 @@
      * \returns the ipv4 address
      */
     Ipv4Address GetIpv4() const;
-    /**
-     * \returns the ToS
-     */
-    uint8_t GetTos() const;
 
     /**
      * \param port the new port number.
@@ -90,10 +86,6 @@
      * \param address the new ipv4 address
      */
     void SetIpv4(Ipv4Address address);
-    /**
-     * \param tos the new ToS.
-     */
-    void SetTos(uint8_t tos);
 
     /**
      * \param address address to test
@@ -131,7 +123,6 @@
     static uint8_t GetType();
     Ipv4Address m_ipv4; //!< the IPv4 address
     uint16_t m_port;    //!< the port
-    uint8_t m_tos;      //!< the ToS
 };
 
 } // namespace ns3
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/utils/ipv6-address.cc ns-3.42/src/network/utils/ipv6-address.cc
--- ns-3.41/src/network/utils/ipv6-address.cc	2024-02-09 14:44:08.425794000 -0800
+++ ns-3.42/src/network/utils/ipv6-address.cc	2024-05-29 15:29:47.152073600 -0700
@@ -44,6 +44,43 @@
 extern "C"
 { /* } */
 #endif
+    /**
+     * \brief Mix hash keys in-place for lookuphash
+     *
+     * \param a first word of the hash key
+     * \param b second word of the hash key
+     * \param c third word of the hash key
+     */
+    void mixHashKey(uint32_t& a, uint32_t& b, uint32_t& c)
+    {
+        (a) -= (b);
+        (a) -= (c);
+        (a) ^= ((c) >> 13);
+        (b) -= (c);
+        (b) -= (a);
+        (b) ^= ((a) << 8);
+        (c) -= (a);
+        (c) -= (b);
+        (c) ^= ((b) >> 13);
+        (a) -= (b);
+        (a) -= (c);
+        (a) ^= ((c) >> 12);
+        (b) -= (c);
+        (b) -= (a);
+        (b) ^= ((a) << 16);
+        (c) -= (a);
+        (c) -= (b);
+        (c) ^= ((b) >> 5);
+        (a) -= (b);
+        (a) -= (c);
+        (a) ^= ((c) >> 3);
+        (b) -= (c);
+        (b) -= (a);
+        (b) ^= ((a) << 10);
+        (c) -= (a);
+        (c) -= (b);
+        (c) ^= ((b) >> 15);
+    }
 
     /**
      * \brief Get a hash key.
@@ -56,36 +93,6 @@
     static uint32_t lookuphash(unsigned char* k, uint32_t length, uint32_t level)
     {
         NS_LOG_FUNCTION(k << length << level);
-#define mix(a, b, c)                                                                               \
-    ({                                                                                             \
-        (a) -= (b);                                                                                \
-        (a) -= (c);                                                                                \
-        (a) ^= ((c) >> 13);                                                                        \
-        (b) -= (c);                                                                                \
-        (b) -= (a);                                                                                \
-        (b) ^= ((a) << 8);                                                                         \
-        (c) -= (a);                                                                                \
-        (c) -= (b);                                                                                \
-        (c) ^= ((b) >> 13);                                                                        \
-        (a) -= (b);                                                                                \
-        (a) -= (c);                                                                                \
-        (a) ^= ((c) >> 12);                                                                        \
-        (b) -= (c);                                                                                \
-        (b) -= (a);                                                                                \
-        (b) ^= ((a) << 16);                                                                        \
-        (c) -= (a);                                                                                \
-        (c) -= (b);                                                                                \
-        (c) ^= ((b) >> 5);                                                                         \
-        (a) -= (b);                                                                                \
-        (a) -= (c);                                                                                \
-        (a) ^= ((c) >> 3);                                                                         \
-        (b) -= (c);                                                                                \
-        (b) -= (a);                                                                                \
-        (b) ^= ((a) << 10);                                                                        \
-        (c) -= (a);                                                                                \
-        (c) -= (b);                                                                                \
-        (c) ^= ((b) >> 15);                                                                        \
-    })
 
         typedef uint32_t ub4; /* unsigned 4-byte quantities */
         uint32_t a = 0;
@@ -104,7 +111,7 @@
             a += (k[0] + ((ub4)k[1] << 8) + ((ub4)k[2] << 16) + ((ub4)k[3] << 24));
             b += (k[4] + ((ub4)k[5] << 8) + ((ub4)k[6] << 16) + ((ub4)k[7] << 24));
             c += (k[8] + ((ub4)k[9] << 8) + ((ub4)k[10] << 16) + ((ub4)k[11] << 24));
-            mix(a, b, c);
+            mixHashKey(a, b, c);
             k += 12;
             len -= 12;
         }
@@ -137,9 +144,7 @@
             a += k[0];
             /* case 0: nothing left to add */
         }
-        mix(a, b, c);
-
-#undef mix
+        mixHashKey(a, b, c);
 
         /* report the result */
         return c;
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/utils/lollipop-counter.h ns-3.42/src/network/utils/lollipop-counter.h
--- ns-3.41/src/network/utils/lollipop-counter.h	2024-02-09 14:44:08.425794000 -0800
+++ ns-3.42/src/network/utils/lollipop-counter.h	2024-05-29 15:29:47.152073600 -0700
@@ -279,11 +279,7 @@
             return false;
         }
 
-        if (lhs > rhs)
-        {
-            return false;
-        }
-        else if (lhs == rhs)
+        if (lhs > rhs || lhs == rhs)
         {
             return false;
         }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/network/utils/simple-net-device.cc ns-3.42/src/network/utils/simple-net-device.cc
--- ns-3.41/src/network/utils/simple-net-device.cc	2024-02-09 14:44:08.429793800 -0800
+++ ns-3.42/src/network/utils/simple-net-device.cc	2024-05-29 15:29:47.152073600 -0700
@@ -380,7 +380,7 @@
 SimpleNetDevice::GetBroadcast() const
 {
     NS_LOG_FUNCTION(this);
-    return Mac48Address("ff:ff:ff:ff:ff:ff");
+    return Mac48Address::GetBroadcast();
 }
 
 bool
@@ -450,7 +450,7 @@
 
     if (m_queue->Enqueue(p))
     {
-        if (m_queue->GetNPackets() == 1 && !FinishTransmissionEvent.IsRunning())
+        if (m_queue->GetNPackets() == 1 && !FinishTransmissionEvent.IsPending())
         {
             StartTransmission();
         }
@@ -467,7 +467,7 @@
     {
         return;
     }
-    NS_ASSERT_MSG(!FinishTransmissionEvent.IsRunning(),
+    NS_ASSERT_MSG(!FinishTransmissionEvent.IsPending(),
                   "Tried to transmit a packet while another transmission was in progress");
     Ptr<Packet> packet = m_queue->Dequeue();
 
@@ -544,7 +544,7 @@
     m_node = nullptr;
     m_receiveErrorModel = nullptr;
     m_queue->Dispose();
-    if (FinishTransmissionEvent.IsRunning())
+    if (FinishTransmissionEvent.IsPending())
     {
         FinishTransmissionEvent.Cancel();
     }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/nix-vector-routing/test/nix-test.cc ns-3.42/src/nix-vector-routing/test/nix-test.cc
--- ns-3.41/src/nix-vector-routing/test/nix-test.cc	2024-02-09 14:44:08.433793800 -0800
+++ ns-3.42/src/nix-vector-routing/test/nix-test.cc	2024-05-29 15:29:47.156073600 -0700
@@ -403,9 +403,9 @@
 {
   public:
     NixVectorRoutingTestSuite()
-        : TestSuite("nix-vector-routing", UNIT)
+        : TestSuite("nix-vector-routing", Type::UNIT)
     {
-        AddTestCase(new NixVectorRoutingTest(), TestCase::QUICK);
+        AddTestCase(new NixVectorRoutingTest(), TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/olsr/model/olsr-header.cc ns-3.42/src/olsr/model/olsr-header.cc
--- ns-3.41/src/olsr/model/olsr-header.cc	2024-02-09 14:44:08.433793800 -0800
+++ ns-3.42/src/olsr/model/olsr-header.cc	2024-05-29 15:29:47.156073600 -0700
@@ -604,7 +604,7 @@
     {
         Ipv4Address address(i.ReadNtohU32());
         Ipv4Mask mask(i.ReadNtohU32());
-        this->associations.push_back((Association){address, mask});
+        this->associations.push_back(Association{address, mask});
     }
     return messageSize;
 }
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/olsr/model/olsr-routing-protocol.cc ns-3.42/src/olsr/model/olsr-routing-protocol.cc
--- ns-3.41/src/olsr/model/olsr-routing-protocol.cc	2024-02-09 14:44:08.433793800 -0800
+++ ns-3.42/src/olsr/model/olsr-routing-protocol.cc	2024-05-29 15:29:47.156073600 -0700
@@ -1952,14 +1952,14 @@
     }
     // If the tuple does not already exist, add it to the list of local HNA associations.
     NS_LOG_INFO("Adding HNA association for network " << networkAddr << "/" << netmask << ".");
-    m_state.InsertAssociation((Association){networkAddr, netmask});
+    m_state.InsertAssociation(Association{networkAddr, netmask});
 }
 
 void
 RoutingProtocol::RemoveHostNetworkAssociation(Ipv4Address networkAddr, Ipv4Mask netmask)
 {
     NS_LOG_INFO("Removing HNA association for network " << networkAddr << "/" << netmask << ".");
-    m_state.EraseAssociation((Association){networkAddr, netmask});
+    m_state.EraseAssociation(Association{networkAddr, netmask});
 }
 
 void
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/olsr/test/olsr-header-test-suite.cc ns-3.42/src/olsr/test/olsr-header-test-suite.cc
--- ns-3.41/src/olsr/test/olsr-header-test-suite.cc	2024-02-09 14:44:08.433793800 -0800
+++ ns-3.42/src/olsr/test/olsr-header-test-suite.cc	2024-05-29 15:29:47.156073600 -0700
@@ -306,9 +306,9 @@
     olsr::MessageHeader::Hna& hnaIn = msgIn.GetHna();
 
     hnaIn.associations.push_back(
-        (olsr::MessageHeader::Hna::Association){Ipv4Address("1.2.3.4"), Ipv4Mask("255.255.255.0")});
+        olsr::MessageHeader::Hna::Association{Ipv4Address("1.2.3.4"), Ipv4Mask("255.255.255.0")});
     hnaIn.associations.push_back(
-        (olsr::MessageHeader::Hna::Association){Ipv4Address("1.2.3.5"), Ipv4Mask("255.255.0.0")});
+        olsr::MessageHeader::Hna::Association{Ipv4Address("1.2.3.5"), Ipv4Mask("255.255.0.0")});
     packet.AddHeader(msgIn);
 
     olsr::MessageHeader msgOut;
@@ -339,13 +339,13 @@
 };
 
 OlsrTestSuite::OlsrTestSuite()
-    : TestSuite("routing-olsr-header", UNIT)
+    : TestSuite("routing-olsr-header", Type::UNIT)
 {
-    AddTestCase(new OlsrHnaTestCase(), TestCase::QUICK);
-    AddTestCase(new OlsrTcTestCase(), TestCase::QUICK);
-    AddTestCase(new OlsrHelloTestCase(), TestCase::QUICK);
-    AddTestCase(new OlsrMidTestCase(), TestCase::QUICK);
-    AddTestCase(new OlsrEmfTestCase(), TestCase::QUICK);
+    AddTestCase(new OlsrHnaTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new OlsrTcTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new OlsrHelloTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new OlsrMidTestCase(), TestCase::Duration::QUICK);
+    AddTestCase(new OlsrEmfTestCase(), TestCase::Duration::QUICK);
 }
 
 static OlsrTestSuite g_olsrTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/olsr/test/olsr-routing-protocol-test-suite.cc ns-3.42/src/olsr/test/olsr-routing-protocol-test-suite.cc
--- ns-3.41/src/olsr/test/olsr-routing-protocol-test-suite.cc	2024-02-09 14:44:08.433793800 -0800
+++ ns-3.42/src/olsr/test/olsr-routing-protocol-test-suite.cc	2024-05-29 15:29:47.156073600 -0700
@@ -187,9 +187,9 @@
 };
 
 OlsrProtocolTestSuite::OlsrProtocolTestSuite()
-    : TestSuite("routing-olsr", UNIT)
+    : TestSuite("routing-olsr", Type::UNIT)
 {
-    AddTestCase(new OlsrMprTestCase(), TestCase::QUICK);
+    AddTestCase(new OlsrMprTestCase(), TestCase::Duration::QUICK);
 }
 
 static OlsrProtocolTestSuite g_olsrProtocolTestSuite; //!< Static variable for test initialization
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/olsr/test/regression-test-suite.cc ns-3.42/src/olsr/test/regression-test-suite.cc
--- ns-3.41/src/olsr/test/regression-test-suite.cc	2024-02-09 14:44:08.433793800 -0800
+++ ns-3.42/src/olsr/test/regression-test-suite.cc	2024-05-29 15:29:47.156073600 -0700
@@ -34,12 +34,12 @@
 {
   public:
     RegressionTestSuite()
-        : TestSuite("routing-olsr-regression", SYSTEM)
+        : TestSuite("routing-olsr-regression", Type::SYSTEM)
     {
         SetDataDir(NS_TEST_SOURCEDIR);
-        AddTestCase(new HelloRegressionTest, TestCase::QUICK);
-        AddTestCase(new TcRegressionTest, TestCase::QUICK);
-        AddTestCase(new Bug780Test, TestCase::QUICK);
+        AddTestCase(new HelloRegressionTest, TestCase::Duration::QUICK);
+        AddTestCase(new TcRegressionTest, TestCase::Duration::QUICK);
+        AddTestCase(new Bug780Test, TestCase::Duration::QUICK);
     }
 };
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/openflow/examples/openflow-switch.py ns-3.42/src/openflow/examples/openflow-switch.py
--- ns-3.41/src/openflow/examples/openflow-switch.py	2024-02-09 14:44:08.433793800 -0800
+++ ns-3.42/src/openflow/examples/openflow-switch.py	2024-05-29 15:29:47.156073600 -0700
@@ -53,7 +53,7 @@
 switchNode = csmaSwitch.Get(0)
 swtch = ns.OpenFlowSwitchHelper()
 controller = ns.ofi.DropController()
-# controller = ns.CreateObject("ns3::ofi::LearningController")
+# controller = ns.CreateObject[ns.ofi.LearningController]()
 swtch.Install(switchNode, switchDevices, controller)
 # controller->SetAttribute("ExpirationTime", TimeValue(timeout))
 
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/openflow/model/openflow-switch-net-device.cc ns-3.42/src/openflow/model/openflow-switch-net-device.cc
--- ns-3.41/src/openflow/model/openflow-switch-net-device.cc	2024-02-09 14:44:08.453794000 -0800
+++ ns-3.42/src/openflow/model/openflow-switch-net-device.cc	2024-05-29 15:29:47.156073600 -0700
@@ -283,7 +283,7 @@
 OpenFlowSwitchNetDevice::GetBroadcast() const
 {
     NS_LOG_FUNCTION_NOARGS();
-    return Mac48Address("ff:ff:ff:ff:ff:ff");
+    return Mac48Address::GetBroadcast();
 }
 
 bool
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/openflow/test/openflow-switch-test-suite.cc ns-3.42/src/openflow/test/openflow-switch-test-suite.cc
--- ns-3.41/src/openflow/test/openflow-switch-test-suite.cc	2024-02-09 14:44:08.453794000 -0800
+++ ns-3.42/src/openflow/test/openflow-switch-test-suite.cc	2024-05-29 15:29:47.156073600 -0700
@@ -205,9 +205,9 @@
 };
 
 SwitchTestSuite::SwitchTestSuite()
-    : TestSuite("openflow", UNIT)
+    : TestSuite("openflow", Type::UNIT)
 {
-    AddTestCase(new SwitchFlowTableTestCase, TestCase::QUICK);
+    AddTestCase(new SwitchFlowTableTestCase, TestCase::Duration::QUICK);
 }
 
 /// Do not forget to allocate an instance of this TestSuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/point-to-point/model/point-to-point-channel.h ns-3.42/src/point-to-point/model/point-to-point-channel.h
--- ns-3.41/src/point-to-point/model/point-to-point-channel.h	2024-02-09 14:44:08.453794000 -0800
+++ ns-3.42/src/point-to-point/model/point-to-point-channel.h	2024-05-29 15:29:47.156073600 -0700
@@ -197,14 +197,9 @@
         /** \brief Create the link, it will be in INITIALIZING state
          *
          */
-        Link()
-            : m_state(INITIALIZING),
-              m_src(nullptr),
-              m_dst(nullptr)
-        {
-        }
+        Link() = default;
 
-        WireState m_state;                //!< State of the link
+        WireState m_state{INITIALIZING};  //!< State of the link
         Ptr<PointToPointNetDevice> m_src; //!< First NetDevice
         Ptr<PointToPointNetDevice> m_dst; //!< Second NetDevice
     };
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/point-to-point/model/point-to-point-net-device.cc ns-3.42/src/point-to-point/model/point-to-point-net-device.cc
--- ns-3.41/src/point-to-point/model/point-to-point-net-device.cc	2024-02-09 14:44:08.453794000 -0800
+++ ns-3.42/src/point-to-point/model/point-to-point-net-device.cc	2024-05-29 15:29:47.160073800 -0700
@@ -471,7 +471,7 @@
 PointToPointNetDevice::GetBroadcast() const
 {
     NS_LOG_FUNCTION(this);
-    return Mac48Address("ff:ff:ff:ff:ff:ff");
+    return Mac48Address::GetBroadcast();
 }
 
 bool
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/point-to-point/test/point-to-point-test.cc ns-3.42/src/point-to-point/test/point-to-point-test.cc
--- ns-3.41/src/point-to-point/test/point-to-point-test.cc	2024-02-09 14:44:08.453794000 -0800
+++ ns-3.42/src/point-to-point/test/point-to-point-test.cc	2024-05-29 15:29:47.160073800 -0700
@@ -152,9 +152,9 @@
 };
 
 PointToPointTestSuite::PointToPointTestSuite()
-    : TestSuite("devices-point-to-point", UNIT)
+    : TestSuite("devices-point-to-point", Type::UNIT)
 {
-    AddTestCase(new PointToPointTest, TestCase::QUICK);
+    AddTestCase(new PointToPointTest, TestCase::Duration::QUICK);
 }
 
 static PointToPointTestSuite g_pointToPointTestSuite; //!< The testsuite
diff -Naur -x '*.dia' -x '*.pcap' -x '*.png' ns-3.41/src/propagation/CMakeLists.txt ns-3.42/src/propagation/CMakeLists.txt
--- ns-3.41/src/propagation/CMakeLists.txt	2024-02-09 14:44:08.453794000 -0800
+++ ns-3.42/src/propagation/CMakeLists.txt	2024-05-29 15:29:47.160073800 -0700
@@ -40,5 +40,5 @@
     test/probabilistic-v2v-channel-condition-model-test.cc
     test/propagation-loss-model-test-suite.cc
     test/three-gpp-propagation-loss-model-test-suite.cc
-    test/three-gpp-propagation-loss-model-test-suite.cc
+    test/three-gpp-ntn-propagation-loss-model-test-suite.cc
 )
